Mks::Rate::Engine.routes.draw do
  resources :rate_change_requests do
    member do
      get 'approve', controller: :rate_change_requests, action: :approve
    end
  end

  resources :service_bundles do
    member do
      get 'discounts', controller: :bundle_discounts, action: :index
      get 'services', controller: :service_bundles, action: :services
      post 'services', controller: :service_bundles, action: :add_services
    end
  end
  resources :service_types
  resources :service_delivery_units do
    member do
      get 'services', controller: :chargeable_services, action: :sdu_services
      get 'bundles', controller: :service_bundles, action: :sdu_bundles
    end
  end
  resources :chargeable_services, only: [:index, :create, :update]
  get 'chargeable_services/filter', controller: :chargeable_services, action: :filter
  resources :unit_of_charges
  resources :service_rate_settings do
    member do
      post 'change_status', controller: :service_rate_settings, action: :change_status
    end
  end
  resources :service_rates, only: [:index]
  get '/service_rates/working_rates', controller: :service_rates, action: :working_rates
  resources :bundle_discounts
  get '/filtered_bundles', controller: :service_bundles, action: :filter
end
